Loading...
Searching...
No Matches
freecontact::d2matrix< _Tp, _Tri, _Tci > Class Template Reference

2-dimensional matrix. More...

Inheritance diagram for freecontact::d2matrix< _Tp, _Tri, _Tci >:

## Public Member Functions

| d2matrix (_Tri __rows, _Tci __cols)
_Tp & | operator() (_Tri __r, _Tci __c)
const _Tp & | operator() (_Tri __r, _Tci __c) const

## Public Attributes

_Tri | rows
_Tci | cols

## Detailed Description

template<typename _Tp, typename _Tri = size_t, typename _Tci = size_t>
class freecontact::d2matrix< _Tp, _Tri, _Tci >

2-dimensional matrix.

Definition at line 159 of file freecontact.cpp.

## Constructor & Destructor Documentation

## d2matrix()

template<typename _Tp, typename _Tri = size_t, typename _Tci = size_t>

freecontact::d2matrix< _Tp, _Tri, _Tci >::d2matrix | ( | _Tri | __rows,
|  | _Tci | __cols )

inline

Definition at line 164 of file freecontact.cpp.

## Member Function Documentation

## operator()() [1/2]

template<typename _Tp, typename _Tri = size_t, typename _Tci = size_t>

_Tp & freecontact::d2matrix< _Tp, _Tri, _Tci >::operator() | ( | _Tri | __r,
|  | _Tci | __c )

inline

Definition at line 168 of file freecontact.cpp.

## operator()() [2/2]

template<typename _Tp, typename _Tri = size_t, typename _Tci = size_t>

const _Tp & freecontact::d2matrix< _Tp, _Tri, _Tci >::operator() | ( | _Tri | __r,
|  | _Tci | __c ) const

inline

Definition at line 172 of file freecontact.cpp.

## Member Data Documentation

## cols

template<typename _Tp, typename _Tri = size_t, typename _Tci = size_t>

_Tci freecontact::d2matrix< _Tp, _Tri, _Tci >::cols

Definition at line 162 of file freecontact.cpp.

## rows

template<typename _Tp, typename _Tri = size_t, typename _Tci = size_t>

_Tri freecontact::d2matrix< _Tp, _Tri, _Tci >::rows

Definition at line 161 of file freecontact.cpp.

The documentation for this class was generated from the following file:

- freecontact.cpp